.notificationContent {
    display: flex;
    align-items: center;
    padding: 10px 0;
    cursor: pointer;
}

.notificationContent.friendly {
    align-items: flex-start;
}

.notificationContent .notif-image {
    width: 40px;
    height: 40px;
    background-size: 40px;
    background-size: cover;
    border-radius: 50%;
    margin: 10px;
}

.notificationContent .notif-container {
    display: flex;
    flex-wrap: wrap;
    width: 80%;
}

.notificationContent .unread {
    background-color: #e4f4fc;
}

.notificationContent .separator {
    height: 1px;
    width: 80%;
    margin: auto;
    background-color: #f0f0f0;
}

.notificationContent.full-height {
    height: 100%;
}

.notificationContent .empty-message {
    display: flex;
    align-items: center;
    align-self: center;
    justify-content: center;
    height: 100%;
    font-family: "Metropolis Bold";
    font-size: 18px;
    font-weight: bold;
    font-stretch: normal;
    line-height: 1.2;
    letter-spacing: 1.8px;
    text-align: center;
    color: #7c7c7c;
    margin-top: 142px;
    margin-left: auto;
    margin-right: auto;
    width: 80%;
}

.notificationContent .notification.friendly {
    align-items: flex-start;
}

.notificationContent .notif-container .notif-title-container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.notificationContent .notif-container .notif-title-container .notif-title,
.notificationContent .notif-container .notif-title,
.notificationContent .notif-container .notif-body {
    width: 100%;
    font-family: "Metropolis Bold";
    font-size: 17px;
    line-height: 16px;
    letter-spacing: 0.17px;
    text-align: left;
    word-break: break-word;
    outline: none;
    color: #0d4962;
}

.notificationContent .notif-container .notif-body {
    font-family: "Metropolis Regular";
    color: #333;
}

.notificationContent .notif-container .notif-title-container .notif-ago {
    font-family: "Metropolis Regular";
    font-size: 15px;
    line-height: 16px;
    letter-spacing: 0.16px;
    min-width: fit-content;
}

.notificationContent .notif-container .notif-info {
    width: 100%;
    font-family: "Metropolis Regular";
    font-size: 15px;
    line-height: 16px;
    letter-spacing: 0.15px;
    text-align: left;
    word-break: break-word;
    outline: none;
    margin-block: 3px 8px;
}

.notificationContent .notif-container .notif-icons {
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 100%;
    margin-top: 10px;
}

.notificationContent .notif-container .notif-icons .iconContainer {
    display: flex;
    align-items: center;
    gap: 5px;
}

.notificationContent .notif-container .notif-icons .iconContainer .notif-text {
    font-family: "Metropolis Regular";
    font-size: 17px;
    line-height: 16px;
    letter-spacing: 0.17px;
    text-align: left;
    word-break: break-word;
    outline: none;
}

.notificationContent .notif-container .notif-icons .iconContainer .dateIcon,
.notificationContent .notif-container .notif-icons .iconContainer .metricIconCALORIES,
.notificationContent .notif-container .notif-icons .iconContainer .metricIconDISTANCE,
.notificationContent .notif-container .notif-icons .iconContainer .metricIconDURETION {
    background-image: url(https://d2oshyevc4uefc.cloudfront.net/app/assets/calendar_icon_blue_challenge.png);
    width: 24px;
    height: 24px;
    background-size: contain;
    background-repeat: no-repeat;
}

.notificationContent .notif-container .notif-icons .iconContainer .metricIconCALORIES {
    background-image: url(https://d2oshyevc4uefc.cloudfront.net/app/assets/calories_blue_icon_challenge.png);
}

.notificationContent .notif-container .notif-icons .iconContainer .metricIconDISTANCE {
    background-image: url(https://d2oshyevc4uefc.cloudfront.net/app/assets/distance_blue_icon_challenge.png);
}

.notificationContent .notif-container .notif-icons .iconContainer .metricIconDURATION {
    background-image: url(https://d2oshyevc4uefc.cloudfront.net/app/assets/duration_blue_icon_challenge.png);
    height: 24px;
    width: 24px;
    background-size: 24px;
}

.notificationContent .notif-container .notif-button {
    display: flex;
    width: 125px;
    height: 44px;
    padding: 10px 16px;
    justify-content: center;
    align-items: center;
    background-color: rgb(13, 73, 98);
    color: rgba(255, 255, 255, 0.87);
    font-family: "Metropolis Bold";
    font-size: 17px;
    letter-spacing: 0.22px;
    border-radius: 8px;
    margin-top: 8px;
}

.notificationContent .notif-container .notif-button.hide {
    display: none;
}

/* DARK MODE */
.dark .empty-message-title,
.dark .empty-message,
.dark .notif-container .notif-body,
.dark .notif-container .notif-title,
.dark .notif-container .notif-title-container .notif-title,
.dark .notif-container .notif-info,
.dark .notif-container .notif-text,
.dark .notif-container .notif-title-container .notif-ago {
    color: rgba(255, 255, 255, 0.87);
}
.dark .notificationContent {
    background-color: rgb(3, 24, 33);
}
.dark .notif-container .notif-icons .iconContainer .dateIcon {
    background-image: url(https://d2oshyevc4uefc.cloudfront.net/app/assets/calendar_icon_DM_m_v1.png);
}
.dark .notif-container .notif-icons .iconContainer .metricIconCALORIES {
    background-image: url(https://d2oshyevc4uefc.cloudfront.net/app/assets/calories_white_icon_challenge.png);
}
.dark .notif-container .notif-icons .iconContainer .metricIconDISTANCE {
    background-image: url(https://d2oshyevc4uefc.cloudfront.net/app/assets/distance_white_icon_challenge.png);
}
.dark .notif-container .notif-icons .iconContainer .metricIconDURATION {
    background-image: url(https://d2oshyevc4uefc.cloudfront.net/app/assets/duration_white_icon_challenge.png);
}
